/Users/bernard/b20/bsoft/include/ps_plot.h(3)

NAME
/Users/bernard/b20/bsoft/include/ps_plot.h - Header file for postscript output functions.

SYNOPSIS

#include 'Bplot.h'
#include 'utilities.h'
#include <fstream>

  Macros
#define _ps_plot_

  Functions
ofstream * ps_open_and_init (Bstring filename, Bstring title, int npages, int width, int height)
Opens and initializes a postscript file.
ofstream * ps_open_and_init (Bstring filename, Bplot *plot)
Opens and initializes a postscript file.
int ps_close (ofstream *fps)
Closes a postscript file.
int ps_plot (Bstring filename, Bplot *plot)
Generates postscript graphs.
Bplot * ps_read (Bstring &filename)
Reads a postscript file with a data table.
int ps_graph (ofstream *fps, Bplot *plot, int page_number)
Generates postscript graphs.
int ps_scale (ofstream *fps, double x1, double y1, double x2, double y2, double min, double max, double increment, double tick_length, double tick_angle, int digits, int fontsize, int inverse)
Generates a scale for a postscript graph.
Bplot * plot_curve (unsigned long nrow, double *c0, double *c1, double *c2, double *c3)

Detailed Description

Header file for postscript output functions.

Author:
    Bernard Heymann

Date:
    Created: 20010515

    Modified: 20171124

Definition in file ps_plot.h.

Macro Definition Documentation

  #define _ps_plot_

Definition at line 30 of file ps_plot.h.

Function Documentation

  Bplot* plot_curve (unsigned long nrow, double * c0, double * c1, double * c2, double * c3)

  int ps_close (ofstream * fps)

Closes a postscript file.

Parameters:
    *fps file handle.

Returns:
    int 0.

    Closes a file and writes the postscript trailer line.

Definition at line 104 of file ps_plot.cpp.

  int ps_graph (ofstream * fps, Bplot * plot, int page_number)

Generates postscript graphs.

Parameters:
    *fps output postscript file descriptor.
    *plot plot information.
    page_number page number (starts at 1).

Returns:
    int 0, <0 on error.

    Any number of functions of a single independant variable (x) can be plot.

Definition at line 246 of file ps_plot.cpp.

  ofstream* ps_open_and_init (Bstring filename, Bstring title, int npages, int width, int height)

Opens and initializes a postscript file.

Parameters:
    &filename output postscript file name.
    &title title.
    npages number of pages.
    width page width.
    height page height.

Returns:
    ofstream* postscript file descriptor.

    Opens a stream and writes the postscript header line, the creator and
    creation date lines, and a document data specifier.

Definition at line 31 of file ps_plot.cpp.

  ofstream* ps_open_and_init (Bstring filename, Bplot * plot)

Opens and initializes a postscript file.

Parameters:
    &filename output postscript file name.
    *plot plot information.

Returns:
    ofstream* postscript file stream.

    Opens a file and writes the postscript header line, the creator and
    creation date lines, and a document data specifier.

Definition at line 69 of file ps_plot.cpp.

  int ps_plot (Bstring filename, Bplot * plot)

Generates postscript graphs.

Parameters:
    &filename output postscript file name.
    *plot plot information.

Returns:
    int 0, <0 on error.

    Any number of functions of a single independant variable (x) can be plot.

Definition at line 128 of file ps_plot.cpp.

  Bplot* ps_read (Bstring & filename)

Reads a postscript file with a data table.

Parameters:
    &filename input postscript file name.

Returns:
    Bplot* new plot.

Definition at line 148 of file ps_plot.cpp.

  int ps_scale (ofstream * fps, double x1, double y1, double x2, double y2, double min, double max, double increment, double tick_length, double tick_angle, int digits, int fontsize, int inverse)

Generates a scale for a postscript graph.

Parameters:
    *fps postscript file descriptor.
    x1 starting x coordinate.
    y1 starting y coordinate.
    x2 ending x coordinate.
    y2 ending y coordinate.
    min minimum value.
    max maximum value.
    increment value increment.
    tick_length length of ticks.
    tick_angle angle of ticks relative to horizontal axis.
    digits number of decimal digits for labels.
    fontsize font size for labels.
    inverse flag for inverse values.

Returns:
    int 0.

Definition at line 487 of file ps_plot.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.